/*
 * Created on May 29, 2004
 *
 * LayerableBoxPeer.java
 */
package archstudio.comp.cake;

import java.awt.Graphics2D;

import edu.uci.ics.bna.*;

/**
 * @author Ping
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class LayerableBoxPeer extends BoxPeer
{
	private LayerableBox layerableBox;
	
	public LayerableBoxPeer(BNAComponent c, Thing t)
	{
		super(c, t);
		
		//System.out.println("Thing type is: " + t.getClass());
		if(!(t instanceof LayerableBox))
		{
			throw new IllegalArgumentException("LayerableBoxPeer can only be a peer " +
				"for a LayerableBox");
		}

		layerableBox = (LayerableBox)t;
	}
	
	public void draw(Graphics2D g, CoordinateMapper cm)
	{
		if(layerableBox.isVisible())
		{
			super.draw(g, cm);
		}
	}
}
