/*
 * Created on May 31, 2004
 *
 * LayerableEndpointPeer.java
 */
package archstudio.comp.cake;

import java.awt.Graphics2D;

import edu.uci.ics.bna.*;

/**
 * @author Ping
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class LayerableEndpointPeer extends EndpointPeer
{
	private LayerableEndpoint layerableEndpoint;
	
	public LayerableEndpointPeer(BNAComponent c, Thing t)
	{
		super(c, t);
		
		//System.out.println("Thing type is: " + t.getClass());
		if(!(t instanceof LayerableEndpoint))
		{
			throw new IllegalArgumentException("LayerableEndpointPeer can only be a peer " +
				"for a LayerableEndpoint");
		}

		layerableEndpoint = (LayerableEndpoint)t;
	}
	
	public void draw(Graphics2D g, CoordinateMapper cm)
	{
		if(layerableEndpoint.isVisible())
		{
			super.draw(g, cm);
		}
	}

}
