/*
 * Created on May 30, 2004
 *
 */
package archstudio.comp.cake;

/**
 * @author Chris
 *
 */
public class CakeComponentThing extends LayerableBox
{

	/**
	 * 
	 */
	public CakeComponentThing(String versionName, String layerName)
	{
		super();
		setLabel("");
		setVersion(versionName);
		setLayer(layerName);
	}
		
	protected CakeComponentThing(CakeComponentThing copyMe)
	{
		super(copyMe);
	}
	
	public Object clone() throws CloneNotSupportedException
	{
		CakeComponentThing m = new CakeComponentThing(this);
		return m;
	}

	public String getPeerClassname()
	{
		return "archstudio.comp.cake.CakeComponentThingPeer";
	}

	public String getToolTipText()
	{
		return "Component " + getLabel() + 
			" - Version " + getVersion() + " Layer: " + getLayer();
	}
}
