/*
 * Created on May 30, 2004
 *
 */
package archstudio.comp.cake;

/**
 * @author Chris
 *
 */
public class CakeConnectorThing extends LayerableBox
{

	/**
	 * 
	 */
	public CakeConnectorThing(String versionName, String layerName)
	{
		super();
		setLabel("");
		setVersion(versionName);
		setLayer(layerName);
	}
	
	protected CakeConnectorThing(CakeConnectorThing copyMe)
	{
		super(copyMe);
	}

	public Object clone() throws CloneNotSupportedException
	{
		CakeConnectorThing m = new CakeConnectorThing(this);
		return m;
	}
	
	public String getPeerClassname()
	{
		return "archstudio.comp.cake.CakeConnectorThingPeer";
	}
	
	public String getToolTipText()
	{
		return "Connector " + getLabel() + 
			" - Version " + getVersion() + " Layer: " + getLayer();
	}
}
