/*
 * Created on Jun 6, 2004
 *
 * IOptionalScroll.java
 */
package archstudio.comp.cake;

/**
 * @author Ping
 *
 * This interface defines things that has optional scroll feature.  If the
 * optional scroll property is set to true, the component will scroll
 * as necessary, else it won't.
 */
public interface IOptionalScroll
{
	public static final String OPTIONAL_SCROLL_PROPERTY_NAME = "optionalScroll";

	public void setOptionalScroll(boolean optionalScroll);
	public boolean getOptionalScroll();

}
